<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project9</name>
  <program_name>project9</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
  <output_main_file>False</output_main_file>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window1</name>
  <visible>False</visible>
  <title>window1</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkVBox</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_buffer_id_dropped</handler>
      <last_modification_time>Wed, 11 Apr 2001 17:01:49 GMT</last_modification_time>
    </signal>
    <signal>
      <name>whatever</name>
      <handler>gdam_packer_create:samp1:GdamSamplingSequencerSkin:empty.xml</handler>
      <last_modification_time>Fri, 21 Jan 2000 20:49:08 GMT</last_modification_time>
    </signal>
    <signal>
      <name>whatever</name>
      <handler>gdam_packer_add_toplevel:tt1</handler>
    </signal>
    <signal>
      <name>whatever</name>
      <handler>gdam_skin_source_binding_file:samplerhotkeys.xml</handler>
    </signal>
    <homogeneous>False</homogeneous>
    <spacing>0</spacing>

    <widget>
      <class>GtkNotebook</class>
      <name>notebook1</name>
      <can_focus>True</can_focus>
      <show_tabs>True</show_tabs>
      <show_border>True</show_border>
      <tab_pos>GTK_POS_RIGHT</tab_pos>
      <scrollable>False</scrollable>
      <tab_hborder>2</tab_hborder>
      <tab_vborder>2</tab_vborder>
      <popup_enable>False</popup_enable>
      <child>
	<padding>0</padding>
	<expand>True</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>GtkVBox</class>
	<name>vbox3</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox1</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkFrame</class>
	    <name>frame1</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_viewport</handler>
	      <last_modification_time>Wed, 11 Apr 2001 17:02:03 GMT</last_modification_time>
	    </signal>
	    <label_xalign>0</label_xalign>
	    <shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Placeholder</class>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkVScrollbar</class>
	    <name>vscrollbar1</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_defer:samp1:defer_to_viewport:gdam_buffer_viewport_log_zoom_adjustment</handler>
	      <last_modification_time>Tue, 08 May 2001 22:45:20 GMT</last_modification_time>
	    </signal>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>0</value>
	    <lower>-5</lower>
	    <upper>10</upper>
	    <step>0.1</step>
	    <page>1</page>
	    <page_size>0.1</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkHBox</class>
	  <name>hbox8</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>

	  <widget>
	    <class>GtkHScale</class>
	    <name>hscale1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_defer:samp1:defer_to_viewport:gdam_buffer_viewport_center_adjustment</handler>
	      <last_modification_time>Tue, 08 May 2001 22:47:12 GMT</last_modification_time>
	    </signal>
	    <draw_value>True</draw_value>
	    <value_pos>GTK_POS_TOP</value_pos>
	    <digits>3</digits>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>30</upper>
	    <step>0</step>
	    <page>0</page>
	    <page_size>0</page_size>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>

	  <widget>
	    <class>GtkArrow</class>
	    <name>arrow1</name>
	    <signal>
	      <name>button_press_event</name>
	      <handler>gdam_packer_defer:samp1:defer_to_viewport:gdam_buffer_viewport_whole_sample</handler>
	      <last_modification_time>Wed, 09 May 2001 15:36:58 GMT</last_modification_time>
	    </signal>
	    <arrow_type>GTK_ARROW_DOWN</arrow_type>
	    <shadow_type>GTK_SHADOW_OUT</shadow_type>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<child_name>Notebook:tab</child_name>
	<name>label12</name>
	<label>samp</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox6</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox2</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox9_menubar</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkMenuBar</class>
	      <name>menubar1</name>
	      <shadow_type>GTK_SHADOW_OUT</shadow_type>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>False</fill>
	      </child>

	      <widget>
		<class>GtkMenuItem</class>
		<name>file1</name>
		<label>file</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>file1_menu</name>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>save1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_skin_save</handler>
		      <last_modification_time>Tue, 07 Aug 2001 00:22:01 GMT</last_modification_time>
		    </signal>
		    <label>save</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>save_as1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_save_dialog</handler>
		      <last_modification_time>Mon, 06 Aug 2001 23:51:10 GMT</last_modification_time>
		    </signal>
		    <label>save as...</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>load1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_load_dialog</handler>
		      <last_modification_time>Tue, 07 Aug 2001 00:21:21 GMT</last_modification_time>
		    </signal>
		    <label>load...</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>merge1</name>
		    <label>merge</label>
		    <right_justify>False</right_justify>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkMenuItem</class>
		<name>sort1</name>
		<label>sort</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>sort1_menu</name>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>gain1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_sort_by_gain</handler>
		      <last_modification_time>Fri, 27 Jul 2001 17:03:14 GMT</last_modification_time>
		    </signal>
		    <label>gain</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>vertical_sort</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>resample1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_sort_by_resample</handler>
		      <last_modification_time>Fri, 27 Jul 2001 17:02:57 GMT</last_modification_time>
		    </signal>
		    <label>resample</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>vertical_sort</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>id1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_sort_by_id</handler>
		      <last_modification_time>Sat, 28 Jul 2001 01:11:02 GMT</last_modification_time>
		    </signal>
		    <label>id</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>vertical_sort</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>localid1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_sort_by_local_id</handler>
		      <last_modification_time>Sat, 28 Jul 2001 01:11:26 GMT</last_modification_time>
		    </signal>
		    <label>local_id</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>vertical_sort</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>pattern1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_sort_by_pattern</handler>
		      <last_modification_time>Fri, 27 Jul 2001 17:03:59 GMT</last_modification_time>
		    </signal>
		    <label>pattern</label>
		    <active>True</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>vertical_sort</group>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkMenuItem</class>
		<name>render1</name>
		<label>render</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>render1_menu</name>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>circles1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_render_as:circles</handler>
		      <last_modification_time>Fri, 27 Jul 2001 19:00:40 GMT</last_modification_time>
		    </signal>
		    <label>circles</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>render_elements</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>rectangle1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_render_as:rectangles</handler>
		      <last_modification_time>Fri, 27 Jul 2001 19:01:21 GMT</last_modification_time>
		    </signal>
		    <label>rectangle</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>render_elements</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>colored_squares1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_render_as:colored_squares</handler>
		      <last_modification_time>Fri, 27 Jul 2001 19:01:31 GMT</last_modification_time>
		    </signal>
		    <label>colored squares</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>render_elements</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>tee1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_render_as:tee</handler>
		      <last_modification_time>Sat, 28 Jul 2001 21:59:02 GMT</last_modification_time>
		    </signal>
		    <label>tee</label>
		    <active>True</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>render_elements</group>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>separator1</name>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>hide_out-of-pattern_elements1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_hide_inactive</handler>
		      <last_modification_time>Fri, 27 Jul 2001 19:30:27 GMT</last_modification_time>
		    </signal>
		    <label>hide out-of-pattern elements</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>out_of_pattern_render</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>outline_out-of-pattern_elements1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_outline_inactive</handler>
		      <last_modification_time>Fri, 27 Jul 2001 19:31:56 GMT</last_modification_time>
		    </signal>
		    <label>outline out-of-pattern elements</label>
		    <active>True</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>out_of_pattern_render</group>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>separator1</name>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>size_from_sample_length1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_size_from_length</handler>
		      <last_modification_time>Fri, 27 Jul 2001 20:48:02 GMT</last_modification_time>
		    </signal>
		    <label>size from sample length</label>
		    <right_justify>False</right_justify>
		  </widget>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>constant_size1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_constant_size</handler>
		      <last_modification_time>Fri, 27 Jul 2001 20:50:12 GMT</last_modification_time>
		    </signal>
		    <label>constant size</label>
		    <right_justify>False</right_justify>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkMenuItem</class>
		<name>tool1</name>
		<label>tool</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>tool1_menu</name>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>add1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_display_tool:add</handler>
		      <last_modification_time>Sat, 28 Jul 2001 16:27:28 GMT</last_modification_time>
		    </signal>
		    <label>add</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>delete1</name>
		    <label>delete</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>select1</name>
		    <label>select</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>stamp1</name>
		    <label>stamp</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>fill_end-to-end1</name>
		    <label>fill end-to-end</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>tile_nearest_beat1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_display_tool:fill_nearest</handler>
		      <last_modification_time>Sat, 28 Jul 2001 16:28:03 GMT</last_modification_time>
		    </signal>
		    <label>tile nearest beat</label>
		    <active>False</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>

		  <widget>
		    <class>GtkRadioMenuItem</class>
		    <name>tile_and_stretch1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_display_tool:fill_nearest_and_stretch</handler>
		      <last_modification_time>Sat, 28 Jul 2001 17:35:12 GMT</last_modification_time>
		    </signal>
		    <label>tile and stretch</label>
		    <active>True</active>
		    <always_show_toggle>False</always_show_toggle>
		    <group>tool</group>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkMenuItem</class>
		<name>midi1</name>
		<label>midi</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>midi1_menu</name>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>do_midi1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_sequencer_midi</handler>
		      <last_modification_time>Fri, 27 Jul 2001 17:11:40 GMT</last_modification_time>
		    </signal>
		    <label>do midi</label>
		    <right_justify>False</right_justify>
		  </widget>
		</widget>
	      </widget>

	      <widget>
		<class>GtkMenuItem</class>
		<name>help1</name>
		<label>help</label>
		<right_justify>False</right_justify>

		<widget>
		  <class>GtkMenu</class>
		  <name>help1_menu</name>

		  <widget>
		    <class>GtkMenuItem</class>
		    <name>show_help1</name>
		    <signal>
		      <name>activate</name>
		      <handler>gdam_packer_defer:samp1:gdam_skin_raise_or_launch:GdamHelpSkin:help.xml:GdamHelpSkin:sequencer</handler>
		      <last_modification_time>Fri, 27 Jul 2001 16:50:48 GMT</last_modification_time>
		    </signal>
		    <label>show help</label>
		    <right_justify>False</right_justify>
		  </widget>
		</widget>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkDrawingArea</class>
	    <name>drawingarea1_sequence_display</name>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_defer:samp1:gdam_sequencer_drawing_area</handler>
	      <last_modification_time>Wed, 02 May 2001 04:15:23 GMT</last_modification_time>
	    </signal>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox2</name>
	  <tooltip>vertical pan - which octaves are currently visible</tooltip>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkVScale</class>
	    <name>vscale1</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_defer:samp1:gdam_sequencer_v_pan</handler>
	      <last_modification_time>Wed, 02 May 2001 04:14:45 GMT</last_modification_time>
	    </signal>
	    <draw_value>True</draw_value>
	    <value_pos>GTK_POS_TOP</value_pos>
	    <digits>1</digits>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>6</value>
	    <lower>0</lower>
	    <upper>15</upper>
	    <step>0</step>
	    <page>1</page>
	    <page_size>0</page_size>
	  </widget>
	</widget>

	<widget>
	  <class>GtkEventBox</class>
	  <name>eventbox1</name>
	  <tooltip>vertical zoom - number of octaves visible</tooltip>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkVScale</class>
	    <name>vscale2</name>
	    <can_focus>True</can_focus>
	    <signal>
	      <name>whatever</name>
	      <handler>gdam_packer_defer:samp1:gdam_sequencer_v_zoom</handler>
	      <last_modification_time>Wed, 02 May 2001 04:15:04 GMT</last_modification_time>
	    </signal>
	    <draw_value>True</draw_value>
	    <value_pos>GTK_POS_TOP</value_pos>
	    <digits>1</digits>
	    <policy>GTK_UPDATE_CONTINUOUS</policy>
	    <value>0</value>
	    <lower>0</lower>
	    <upper>10</upper>
	    <step>0</step>
	    <page>0.1</page>
	    <page_size>0</page_size>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<child_name>Notebook:tab</child_name>
	<name>label13</name>
	<label>seq</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
      </widget>
    </widget>

    <widget>
      <class>GtkHBox</class>
      <name>hbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>False</fill>
      </child>

      <widget>
	<class>GtkButton</class>
	<name>button1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_skin_launch_unique:GdamBufferManagerSkin:buffermanager.xml</handler>
	  <last_modification_time>Wed, 02 Feb 2000 01:41:35 GMT</last_modification_time>
	</signal>
	<label>Buffer Manager</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button2</name>
	<tooltip>import buffer  from buffer manager</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_set_default</handler>
	  <last_modification_time>Wed, 11 Apr 2001 17:03:42 GMT</last_modification_time>
	</signal>
	<label>=&gt;</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkVSeparator</class>
	<name>vseparator3</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton1</name>
	<width>75</width>
	<tooltip>tempo of sequence</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_defer:samp1:gdam_sequencer_tempo_adjuster</handler>
	  <last_modification_time>Sat, 14 Apr 2001 22:07:49 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>2</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>90</value>
	<lower>0</lower>
	<upper>320</upper>
	<step>1</step>
	<page>10</page>
	<page_size>10</page_size>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton2</name>
	<tooltip>number of beats in sequence</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>whatever</name>
	  <handler>gdam_packer_defer:samp1:gdam_sequencer_beatnum_adjuster</handler>
	  <last_modification_time>Sat, 14 Apr 2001 22:07:49 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>0</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>4</value>
	<lower>0</lower>
	<upper>100</upper>
	<step>1</step>
	<page>10</page>
	<page_size>10</page_size>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkFrame</class>
      <name>frame111</name>
      <signal>
	<name>whatever</name>
	<handler>gdam_packer_create:tt1:GdamTurntableSkin:turntable_flat.xml</handler>
	<last_modification_time>Wed, 11 Apr 2001 17:02:03 GMT</last_modification_time>
      </signal>
      <signal>
	<name>whatever</name>
	<handler>gdam_packer_set_turntable_child:tt1:samp1</handler>
	<last_modification_time>Wed, 11 Apr 2001 17:02:03 GMT</last_modification_time>
      </signal>
      <label_xalign>0</label_xalign>
      <shadow_type>GTK_SHADOW_ETCHED_IN</shadow_type>
      <child>
	<padding>0</padding>
	<expand>False</expand>
	<fill>True</fill>
      </child>

      <widget>
	<class>Placeholder</class>
      </widget>
    </widget>
  </widget>
</widget>

<widget>
  <class>GtkWindow</class>
  <name>window2</name>
  <signal>
    <name>whatever</name>
    <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_rerhythm_window</handler>
    <last_modification_time>Fri, 15 Jun 2001 16:28:10 GMT</last_modification_time>
  </signal>
  <title>window2</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkNotebook</class>
    <name>notebook2</name>
    <can_focus>True</can_focus>
    <show_tabs>True</show_tabs>
    <show_border>True</show_border>
    <tab_pos>GTK_POS_TOP</tab_pos>
    <scrollable>False</scrollable>
    <tab_hborder>2</tab_hborder>
    <tab_vborder>2</tab_vborder>
    <popup_enable>False</popup_enable>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkTable</class>
	<name>table2</name>
	<rows>1</rows>
	<columns>4</columns>
	<homogeneous>True</homogeneous>
	<row_spacing>0</row_spacing>
	<column_spacing>0</column_spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label2</name>
	  <label>on</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <left_attach>1</left_attach>
	    <right_attach>2</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label3</name>
	  <label>half</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <left_attach>2</left_attach>
	    <right_attach>3</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label4</name>
	  <label>offbeat</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <left_attach>3</left_attach>
	    <right_attach>4</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkTable</class>
	<name>table1</name>
	<rows>3</rows>
	<columns>4</columns>
	<homogeneous>True</homogeneous>
	<row_spacing>0</row_spacing>
	<column_spacing>0</column_spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label5</name>
	  <label>count</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <left_attach>0</left_attach>
	    <right_attach>1</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton3</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:rerhythm_offbeat_count</handler>
	    <last_modification_time>Mon, 16 Apr 2001 23:30:52 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>0</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>1</value>
	  <lower>0</lower>
	  <upper>100</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <left_attach>3</left_attach>
	    <right_attach>4</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>True</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton4</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:rerhythm_half_count</handler>
	    <last_modification_time>Mon, 16 Apr 2001 23:31:34 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>0</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>1</value>
	  <lower>0</lower>
	  <upper>100</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <left_attach>2</left_attach>
	    <right_attach>3</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>True</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton5</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:rerhythm_whole_count</handler>
	    <last_modification_time>Mon, 16 Apr 2001 23:31:46 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>0</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>1</value>
	  <lower>0</lower>
	  <upper>100</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <left_attach>1</left_attach>
	    <right_attach>2</right_attach>
	    <top_attach>0</top_attach>
	    <bottom_attach>1</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>True</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>True</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label9</name>
	  <label>delay</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <left_attach>0</left_attach>
	    <right_attach>1</right_attach>
	    <top_attach>2</top_attach>
	    <bottom_attach>3</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkOptionMenu</class>
	  <name>optionmenu2</name>
	  <width>42</width>
	  <height>40</height>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_beat_value_option_menu:rerhythm_whole_delay:real</handler>
	    <last_modification_time>Sat, 21 Apr 2001 03:40:47 GMT</last_modification_time>
	  </signal>
	  <items></items>
	  <initial_choice>0</initial_choice>
	  <child>
	    <left_attach>1</left_attach>
	    <right_attach>2</right_attach>
	    <top_attach>2</top_attach>
	    <bottom_attach>3</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkOptionMenu</class>
	  <name>optionmenu3</name>
	  <width>42</width>
	  <height>40</height>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_beat_value_option_menu:rerhythm_half_delay:real</handler>
	    <last_modification_time>Sat, 21 Apr 2001 03:41:19 GMT</last_modification_time>
	  </signal>
	  <items></items>
	  <initial_choice>0</initial_choice>
	  <child>
	    <left_attach>2</left_attach>
	    <right_attach>3</right_attach>
	    <top_attach>2</top_attach>
	    <bottom_attach>3</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label10</name>
	  <label>offset</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <left_attach>0</left_attach>
	    <right_attach>1</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkOptionMenu</class>
	  <name>optionmenu4</name>
	  <width>42</width>
	  <height>40</height>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_beat_value_option_menu:rerhythm_whole_offset:whole</handler>
	    <last_modification_time>Sat, 21 Apr 2001 03:38:38 GMT</last_modification_time>
	  </signal>
	  <items></items>
	  <initial_choice>0</initial_choice>
	  <child>
	    <left_attach>1</left_attach>
	    <right_attach>2</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>

	<widget>
	  <class>GtkOptionMenu</class>
	  <name>optionmenu5</name>
	  <width>42</width>
	  <height>40</height>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_beat_value_option_menu:rerhythm_half_offset:whole</handler>
	    <last_modification_time>Sat, 21 Apr 2001 03:38:13 GMT</last_modification_time>
	  </signal>
	  <items></items>
	  <initial_choice>0</initial_choice>
	  <child>
	    <left_attach>2</left_attach>
	    <right_attach>3</right_attach>
	    <top_attach>1</top_attach>
	    <bottom_attach>2</bottom_attach>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	    <xexpand>False</xexpand>
	    <yexpand>False</yexpand>
	    <xshrink>False</xshrink>
	    <yshrink>False</yshrink>
	    <xfill>False</xfill>
	    <yfill>False</yfill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHSeparator</class>
	<name>hseparator2</name>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox5</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label11</name>
	  <label>grain size</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton10</name>
	  <width>70</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:rerhythm_grain_size</handler>
	    <last_modification_time>Tue, 17 Apr 2001 03:55:29 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>8</upper>
	  <step>1</step>
	  <page>2</page>
	  <page_size>2</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHSeparator</class>
	<name>hseparator3</name>
	<child>
	  <padding>4</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox4</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>button24</name>
	  <tooltip>import buffer  from buffer manager</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_export_sequence</handler>
	    <last_modification_time>Sat, 14 Apr 2001 17:33:30 GMT</last_modification_time>
	  </signal>
	  <label>export</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkVSeparator</class>
	  <name>vseparator7</name>
	  <child>
	    <padding>4</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button25</name>
	  <tooltip>import buffer  from buffer manager</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_export_rerhythm</handler>
	    <last_modification_time>Sun, 15 Apr 2001 22:25:28 GMT</last_modification_time>
	  </signal>
	  <label>rerhythm:</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button29</name>
	  <tooltip>half beats delayed</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_rerhythm_by_info:1</handler>
	    <last_modification_time>Mon, 16 Apr 2001 03:12:08 GMT</last_modification_time>
	  </signal>
	  <label>1</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button30</name>
	  <tooltip>half beats pre-echo</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_rerhythm_by_info:2</handler>
	    <last_modification_time>Mon, 16 Apr 2001 03:12:23 GMT</last_modification_time>
	  </signal>
	  <label>2</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button31</name>
	  <tooltip>half beats play thirds</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_rerhythm_by_info:3</handler>
	    <last_modification_time>Mon, 16 Apr 2001 03:19:58 GMT</last_modification_time>
	  </signal>
	  <label>3</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button32</name>
	  <tooltip>whole beats delayed 0.125</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_rerhythm_by_info:4</handler>
	    <last_modification_time>Mon, 16 Apr 2001 04:44:11 GMT</last_modification_time>
	  </signal>
	  <label>4</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button33</name>
	  <tooltip>half muted, offbeat delayed</tooltip>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_rerhythm_by_info:5</handler>
	    <last_modification_time>Mon, 16 Apr 2001 04:44:32 GMT</last_modification_time>
	  </signal>
	  <label>5</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label14</name>
      <label>rerhythm</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>GtkTable</class>
      <name>table3</name>
      <rows>5</rows>
      <columns>2</columns>
      <homogeneous>False</homogeneous>
      <row_spacing>0</row_spacing>
      <column_spacing>0</column_spacing>

      <widget>
	<class>GtkButton</class>
	<name>button34</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_sampling_sequencer_guess_beats</handler>
	  <last_modification_time>Tue, 08 May 2001 21:40:42 GMT</last_modification_time>
	</signal>
	<label>guess</label>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>4</top_attach>
	  <bottom_attach>5</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label18</name>
	<label>window size:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>0</top_attach>
	  <bottom_attach>1</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton12</name>
	<width>55</width>
	<tooltip>size of analysis window</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>value_changed</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:window_size</handler>
	  <last_modification_time>Tue, 08 May 2001 22:41:46 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>2</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>0.5</value>
	<lower>0</lower>
	<upper>1</upper>
	<step>0.01</step>
	<page>0.1</page>
	<page_size>1</page_size>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>0</top_attach>
	  <bottom_attach>1</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>True</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>True</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label20</name>
	<label>min length:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>1</top_attach>
	  <bottom_attach>2</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label19</name>
	<label>amplitude ratio:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>3</top_attach>
	  <bottom_attach>4</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label17</name>
	<label>amplitude:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>2</top_attach>
	  <bottom_attach>3</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton11</name>
	<width>55</width>
	<tooltip>amplitude which defines a beat</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>value_changed</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:amplitude_threshold</handler>
	  <last_modification_time>Tue, 08 May 2001 22:25:00 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>2</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>0.5</value>
	<lower>0</lower>
	<upper>1</upper>
	<step>0.05</step>
	<page>0.1</page>
	<page_size>1</page_size>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>2</top_attach>
	  <bottom_attach>3</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>True</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>True</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton14</name>
	<width>55</width>
	<tooltip>minimum distance between beats</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>value_changed</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:min_sample_length</handler>
	  <last_modification_time>Sun, 10 Jun 2001 15:46:35 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>2</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>0.5</value>
	<lower>0</lower>
	<upper>1</upper>
	<step>0.01</step>
	<page>0.1</page>
	<page_size>1</page_size>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>1</top_attach>
	  <bottom_attach>2</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>True</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>True</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkSpinButton</class>
	<name>spinbutton13</name>
	<width>55</width>
	<tooltip>amplitude ratio which defines a beat</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>value_changed</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_adjustment:amplitude_ratio</handler>
	  <last_modification_time>Mon, 21 May 2001 06:49:05 GMT</last_modification_time>
	</signal>
	<climb_rate>1</climb_rate>
	<digits>2</digits>
	<numeric>False</numeric>
	<update_policy>GTK_UPDATE_ALWAYS</update_policy>
	<snap>False</snap>
	<wrap>False</wrap>
	<value>0.5</value>
	<lower>0</lower>
	<upper>10</upper>
	<step>0.01</step>
	<page>0.1</page>
	<page_size>1</page_size>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>3</top_attach>
	  <bottom_attach>4</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>True</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>True</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label15</name>
      <label>guess</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>GtkTable</class>
      <name>table4</name>
      <rows>4</rows>
      <columns>3</columns>
      <homogeneous>False</homogeneous>
      <row_spacing>0</row_spacing>
      <column_spacing>0</column_spacing>

      <widget>
	<class>GtkButton</class>
	<name>button5</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:0</handler>
	  <last_modification_time>Thu, 12 Apr 2001 03:45:32 GMT</last_modification_time>
	</signal>
	<label>0</label>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>1</top_attach>
	  <bottom_attach>2</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button6</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:1</handler>
	  <last_modification_time>Thu, 12 Apr 2001 03:44:56 GMT</last_modification_time>
	</signal>
	<label>1</label>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>1</top_attach>
	  <bottom_attach>2</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button7</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:2</handler>
	  <last_modification_time>Thu, 12 Apr 2001 03:44:43 GMT</last_modification_time>
	</signal>
	<label>2</label>
	<child>
	  <left_attach>2</left_attach>
	  <right_attach>3</right_attach>
	  <top_attach>1</top_attach>
	  <bottom_attach>2</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button35</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:3</handler>
	  <last_modification_time>Fri, 15 Jun 2001 17:01:09 GMT</last_modification_time>
	</signal>
	<label>3</label>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>2</top_attach>
	  <bottom_attach>3</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button36</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:4</handler>
	  <last_modification_time>Fri, 15 Jun 2001 17:01:35 GMT</last_modification_time>
	</signal>
	<label>4</label>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>2</top_attach>
	  <bottom_attach>3</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button37</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:5</handler>
	  <last_modification_time>Fri, 15 Jun 2001 17:01:45 GMT</last_modification_time>
	</signal>
	<label>5</label>
	<child>
	  <left_attach>2</left_attach>
	  <right_attach>3</right_attach>
	  <top_attach>2</top_attach>
	  <bottom_attach>3</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button38</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:6</handler>
	  <last_modification_time>Fri, 15 Jun 2001 17:02:11 GMT</last_modification_time>
	</signal>
	<label>6</label>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>1</right_attach>
	  <top_attach>3</top_attach>
	  <bottom_attach>4</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button39</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:7</handler>
	  <last_modification_time>Fri, 15 Jun 2001 17:02:22 GMT</last_modification_time>
	</signal>
	<label>7</label>
	<child>
	  <left_attach>1</left_attach>
	  <right_attach>2</right_attach>
	  <top_attach>3</top_attach>
	  <bottom_attach>4</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button40</name>
	<tooltip>play first subsample</tooltip>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_packer_defer:samp1:gdam_skin_skin_arg_int:play_by_subbuffer_index:3</handler>
	  <last_modification_time>Fri, 15 Jun 2001 17:01:09 GMT</last_modification_time>
	</signal>
	<label>8</label>
	<child>
	  <left_attach>2</left_attach>
	  <right_attach>3</right_attach>
	  <top_attach>3</top_attach>
	  <bottom_attach>4</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>

      <widget>
	<class>GtkLabel</class>
	<name>label21</name>
	<label>play subsample:</label>
	<justify>GTK_JUSTIFY_CENTER</justify>
	<wrap>False</wrap>
	<xalign>0.5</xalign>
	<yalign>0.5</yalign>
	<xpad>0</xpad>
	<ypad>0</ypad>
	<child>
	  <left_attach>0</left_attach>
	  <right_attach>3</right_attach>
	  <top_attach>0</top_attach>
	  <bottom_attach>1</bottom_attach>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <xexpand>False</xexpand>
	  <yexpand>False</yexpand>
	  <xshrink>False</xshrink>
	  <yshrink>False</yshrink>
	  <xfill>False</xfill>
	  <yfill>False</yfill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label16</name>
      <label>...</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>Placeholder</class>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label22</name>
      <label>riff</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>
  </widget>
</widget>

</GTK-Interface>
